package com.zoniot.ccrc.controller;

import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.service.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@Controller
@ResponseBody
@RequestMapping("integration")
@Api(tags = "一体化")
public class IntegrationAuthController {

    @Autowired
    private UserService userService;

    @PostMapping("/auth/login")
    @ApiOperation(value = "手机验证码登录")
    public AjaxMessage smsCodeLogin(
            @ApiParam(value = "来源", required = true, defaultValue = "balikun") @RequestParam(required = true) String source,
            @ApiParam(value = "code", required = true, defaultValue = "MTg1NjU1NzIwMTA=") @RequestParam(required = true) String code,
            HttpServletRequest httpServletRequest
    ) {

        //这里只写控制层为了提供swagger api, 具体实现逻辑在spring security（com.bz.smart_city.commom.security.smsCode）
        return new AjaxMessage<>(ResultStatus.OK);
    }

    @PostMapping("/user/save")
    @ApiOperation(value = "保存用户")
    public AjaxMessage saveUser(
            @ApiParam(value = "用户名", required = true) @RequestParam(required = true) String username,
            @ApiParam(value = "手机号码", required = true) @RequestParam(required = true) String mobilePhone
    ) {

        userService.addIntegrationUser(username, mobilePhone);
        return new AjaxMessage(ResultStatus.OK);
    }


    @PostMapping("/user/del")
    @ApiOperation(value = "删除用户")
    public AjaxMessage delUser(
            @ApiParam(value = "手机号码", required = true) @RequestParam(required = true) String mobilePhone
    ) {
        userService.delectIntegrationUser(mobilePhone);
        return new AjaxMessage(ResultStatus.OK);
    }
}
