package com.zoniot.ccrc.controller.common;

import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.commom.utils.ByteArrayUtils;
import com.zoniot.ccrc.commom.utils.RedisUtil;
import com.zoniot.ccrc.commom.utils.SendWechatPush;
import com.zoniot.ccrc.service.AccessTokenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.util.Assert;
import org.springframework.web.bind.annotation.*;

@Slf4j
@Controller
@ResponseBody
@RequestMapping("test")
@Api(description = "测试")
public class TestController {
    @Autowired
    private RedisUtil redisUtil;

    @Value("${files.path}")
    private String filesPath;
    @Autowired
    private AccessTokenService accessTokenService;


    @GetMapping("test")
    public AjaxMessage test(){
        Assert.notNull(null,"空");
        return new AjaxMessage();
    }

    @RequestMapping(value = "/sms/getPhoneNumber", method = RequestMethod.POST)
    @ApiOperation(value = "获取手机验证码")
    public AjaxMessage getPhoneNumber(
            @ApiParam(value = "手机号码", required = true) @RequestParam(required = true) String phone
    ) {
        String key = "smsCode:" + phone;
        byte[] redisValidateCodeByte = redisUtil.get(key.getBytes());
        if (redisValidateCodeByte == null) {
            return new AjaxMessage(ResultStatus.OK);
        }else {
            String validateCode = (String) ByteArrayUtils.bytesToObject(redisValidateCodeByte).get();
            return new AjaxMessage(ResultStatus.OK,validateCode);
        }

    }

    @RequestMapping(value = "/sms/setPhoneNumber", method = RequestMethod.POST)
    @ApiOperation(value = "设置手机验证码")
    public AjaxMessage setPhoneNumber(
            @ApiParam(value = "手机号码", required = true) @RequestParam(required = true) String phone
    ) {
        String smsKey = "smsCode:" + phone;
        redisUtil.setExpire(smsKey.getBytes(), ByteArrayUtils.objectToBytes("1234").get(), 900);//15分钟过期
        return new AjaxMessage(ResultStatus.OK);


    }

    @RequestMapping(value = "send", method = RequestMethod.GET)
    @ApiOperation(value = "测试微信消息推送")
    public AjaxMessage send(
            @ApiParam(value = "opendid", required = true) @RequestParam String opendid
    ) {

        opendid = "o8iCb5HsMBWq-t_iWNVigekPeCP8";
        String accessToken = accessTokenService.getMpAccessToken();
        String url = "https://www.zoniot.com";
        String pagepath = "pages/index/index";

        String result = SendWechatPush.sendAbnormalNotice(accessToken, "wx6b2ce547cd593413", opendid, url, "wx27f831675081e293", pagepath, "用户用水异常", "水量预警", "单日用水量超过2吨",
                "2021-02-23 17:59:32", "1030844808林家栋13765510000长泽花园2-1-502楼梯间用水量有异常情况，请及时关注用户情况！");
        log.info(result);
        return new AjaxMessage(ResultStatus.OK);
    }
}
