package com.zoniot.ccrc.controller.system;

import com.zoniot.ccrc.commom.model.AjaxMessage;
import com.zoniot.ccrc.commom.model.Pagination;
import com.zoniot.ccrc.commom.model.ResultStatus;
import com.zoniot.ccrc.entity.LoginLogs;
import com.zoniot.ccrc.service.LoginLogsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@ResponseBody
@RequestMapping("system/loginLogs")
@Api(description = "登录日志")
public class LoginLogsController {


    @Autowired
    private LoginLogsService loginLogsService;

    @GetMapping("getList")
    @ApiOperation(value = "查询登录日志列表", notes = "权限：sys:loginLogs:query")
    @PreAuthorize("hasAuthority('sys:loginLogs:query')")
    public AjaxMessage<Pagination<LoginLogs>> getLoginLogsList(
            @ApiParam(value = "页数,非必传，默认第一页", required = false, defaultValue = "1") @RequestParam(required = false, defaultValue = "1") int pageNum,
            @ApiParam(value = "条数，非必传，默认15条", required = false, defaultValue = "15") @RequestParam(required = false, defaultValue = "15") int pageSize
    ){
        Pagination<LoginLogs> pageInfo = loginLogsService.getList(pageNum, pageSize);
        return new AjaxMessage<>(ResultStatus.OK, pageInfo);
    }
}
