package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.entity.Permission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PermissionMapper {
    int insert(@Param("permission") Permission permission);

    int insertSelective(@Param("permission") Permission permission);

    int insertList(@Param("permissions") List<Permission> permissions);

    int updateByPrimaryKeySelective(@Param("permission") Permission permission);

    List<Permission> getAllMenu();

    List<Permission> getMenuByUserId(@Param("userId") Integer userId, @Param("siteId") Integer siteId);

    List<Permission> getMenuBySuperAdmin();

    List<Permission> getElementByUserId(@Param("userId") Integer userId, @Param("siteId") Integer siteId);

    List<Permission> getAllPermission(@Param("isSuperAdminMenu") Integer isSuperAdminMenu, @Param("isSiteMenu") Integer isSiteMenu, @Param("sysIdList") List<Integer> sysIdList);

    List<Permission> getAllPermissionV2(@Param("isSuperAdminMenu") Integer isSuperAdminMenu, @Param("isSiteMenu") Integer isSiteMenu, @Param("isBillingMenu") Integer isBillingMenu);

    List<Permission> getRolePermissionByRoleId(@Param("roleId") Integer roleId);

    int delById(@Param("id") Integer id, @Param("updateBy") String updateBy);

    /**
     * 查询超级管理员和站点管理员的权限关系
     *
     * @param type   1：超级 2：站点
     * @param sysIds
     * @return
     */
    List<Permission> findByAdminType(@Param("type") Integer type, @Param("sysIds") List<Integer> sysIds);

    List<Permission> getPermissionBySuperAdmin();

    List<Permission> getPermissionBySiteAdmin(@Param("siteId") Integer siteId, @Param("isMenu") Integer isMenu, @Param("isSiteMenu") Integer isSiteMenu, @Param("isBillingMenu") Integer isBillingMenu);

    //List<Permission> getPermissionBySiteAdminV2(@Param("siteId") Integer siteId);

    //List<Permission> getPermissionBySiteAdminV3(@Param("siteId") Integer siteId, @Param("isBillingMenu")Integer isBillingMenu);

    int findBySortUnique(@Param("id") Integer id, @Param("parentId") Integer parentId, @Param("sort") Integer sort);

    int findByNameUnique(@Param("id") Integer id, @Param("parentId") Integer parentId, @Param("name") String name);

    Permission findById(@Param("id") Integer id);

    Permission findChannelMenu(@Param("sysId") Integer sysId);

    int delBySysId(@Param("sysId") Integer sysId, @Param("updateBy") String updateBy);

    List<Permission> getMenuBySiteAdmin(@Param("siteId") Integer siteId);

    //List<Permission> getMenuBySiteAdminV2(@Param("siteId") Integer siteId, @Param("isBillingMenu")Integer isBillingMenu);

    List<Permission> getAllPermissionBySiteId(@Param("siteId") Integer siteId);

    //List<Permission> getAllPermissionBySiteIdV2(@Param("siteId") Integer siteId);

    //List<Permission> getAllPermissionBySiteIdV3(@Param("siteId") Integer siteId, @Param("isBillingMenu")Integer isBillingMenu);


}
