package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.ClientUserDto;
import com.zoniot.ccrc.dto.UserRoleDto;
import com.zoniot.ccrc.dto.UserTypeDto;
import com.zoniot.ccrc.entity.ClientUser;
import com.zoniot.ccrc.entity.Role;
import com.zoniot.ccrc.entity.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;

@Mapper
public interface UserMapper {

    int insertSelective(@Param("user") User user);

    int update(@Param("user") User user);

    User findUserById(@Param("id") Integer id);

    List<UserRoleDto> findUserList(@Param("username") String username, @Param("name") String name, @Param("mobilePhone") String mobilePhone);

    User loadUserByUsername(@Param("username") String username);

    User findUserByMobile(@Param("mobile") String mobile);

    //UserDto findUserByName(@Param("username") String username);

    List<Role> getRolesByUserId(Integer id);


    User findUserByUsername(@Param("username") String username);

    int batchDelectUser(@Param("userIds") List<Integer> userIds, @Param("updateBy") String updateBy);

    List<UserRoleDto> findBySiteId(@Param("siteId") Integer siteId, @Param("username") String username, @Param("name") String name, @Param("mobilePhone") String mobilePhone, @Param("organId") Integer organId, @Param("roleId") Integer roleId, @Param("programId") Integer programId);

    int deleteByUserId(@Param("userId") Integer userId, @Param("updateBy") String updateBy);

    int deleteSiteUser(@Param("siteId") Integer siteId, @Param("userId") Integer userId);

    int batchDeleteByUserIds(@Param("userIds") List<Integer> userIds, @Param("updateBy") String updateBy);

    int findUserByMobilePhoneUnique(@Param("id") Integer id, @Param("mobilePhone") String mobilePhone);

    int findUserByMobilePhoneSiteUnique(@Param("id") Integer id, @Param("siteId") Integer siteId, @Param("mobilePhone") String mobilePhone);

    User findUserByOpenid(@Param("openid") String openid);

    Integer countOrganId(@Param("organId") Integer organId);

    List<User> findUserByOrgsIds(@Param("orgIds") Integer[] orgIds);

    List<User> findUserByUserIds(@Param("userIds") String[] userIds);

    List<UserTypeDto> getAllUser();

    User findUserByName(@Param("name") String name, @Param("sitId") BigInteger sitId);

    List<ClientUserDto> findUserAmountById(Integer id);

    Integer selectUserByPhone(String phoneNumber);

    void updateOpenId(@Param("openid") String openId,@Param("id") Integer id);

    void resetDefault(@Param("openid") String openid);

    void setDefault(@Param("id") int id);

    String getDefaultNumer(@Param("id") int id);

    List<ClientUser> findClientUserByOpenid(@Param("openid") String openid, @Param("type") Integer type);

    Integer getUser(String openid);
}

