package com.zoniot.ccrc.dto;


import com.zoniot.ccrc.entity.DeviceMeasuringPoint;
import com.zoniot.ccrc.entity.DeviceType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper=false)
public class DeviceTypeDto extends DeviceType implements Serializable {

    private static final long serialVersionUID = -4248786000656508924L;

    @ApiModelProperty(value = "厂商名称", position = 100, hidden = true)
    private String manufacturerName;

    @ApiModelProperty(value = "厂商英文名称", position = 100, hidden = true)
    private String enManufacturerName;

    @ApiModelProperty(value = "英文系列", position = 100, hidden = true)
    private String enEquipmentType;

    @ApiModelProperty(value = "英文型号", position = 100, hidden = true)
    private String enModel;

    @ApiModelProperty(value = "关联Agent", position = 100, hidden = true)
    private String agentIdentifier;

    @ApiModelProperty(value = "所属系统名称", position = 101, hidden = true)
    private String channelName;

    @ApiModelProperty(value = "所属场景，水务专用")
    private Integer channelId;

    @ApiModelProperty(value = "水表类型，1:远传表，2:智能表，9:流量计")
    private Integer meterType;

    @ApiModelProperty(value = "测点", position = 102, hidden = true)
    private List<DeviceMeasuringPoint> measuringPoint;

    @ApiModelProperty(value = "测点id集合", position = 103)
    private List<Integer> measuringPointId;
}
