package com.zoniot.ccrc.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @program: water-query
 * @description: 用水价格信息
 * @author: Yangyang.Wang
 * @create: 2020-05-10 19:50
 **/
@Data
public class PriceInfo {
    @ApiModelProperty(value = "用水类别", position = 1)
    private String waterTypeName;
    @ApiModelProperty(value = "水司名称", position = 1)
    private String customerName;

    @JsonIgnore
    @ApiModelProperty(value = "费用类型", position = 2)
    private Integer feetype;
    @JsonIgnore
    @ApiModelProperty(value = "费用名称", position = 3)
    private String feeTypeName;
    @JsonIgnore
    @ApiModelProperty(value = "阶梯", position = 4)
    private Integer ladderlevel;
    @JsonIgnore
    @ApiModelProperty(value = "阶梯价格", position = 5)
    private BigDecimal price;
    @JsonIgnore
    @ApiModelProperty(value = "水量上限", position = 6)
    private BigDecimal available1;
    @JsonIgnore
    @ApiModelProperty(value = "水量上限", position = 7)
    private BigDecimal available2;
    @JsonIgnore
    @ApiModelProperty(value = "水量上限", position = 8)
    private BigDecimal  available3;
    @JsonIgnore
    @ApiModelProperty(value = "水量上限", position = 9)
    private BigDecimal  available4;
    @JsonIgnore
    @ApiModelProperty(value = "阶梯类型", position = 10)
    private Integer laddertype;

    @ApiModelProperty(value = "费用名称", position = 11)
    private List<FeeTypeDto> feeTypeDtos;
}
