package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;

@ApiModel(value="设备")
@Data
public class Device {
    @ApiModelProperty(value="")
    private Long id;

    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @ApiModelProperty(value="设备电子号")
    private String meterNo;

    @ApiModelProperty(value="设备档案号")
    private String fileNo;

    @ApiModelProperty(value="铅封号")
    private String sealNo;

    @ApiModelProperty(value="站点id")
    private Integer siteId;

    @ApiModelProperty(value="系统id")
    private Integer sysId;

    @ApiModelProperty(value="设备id")
    private Integer deviceTypeId;

    @ApiModelProperty(value="厂商id")
    private Integer manufacturerId;

    @ApiModelProperty(value="建筑id")
    private Integer buildingId;

    @ApiModelProperty(value="小区id")
    private Integer communityId;

    @ApiModelProperty(value="安装地址")
    private String locDesc;

    @ApiModelProperty(value="水表读数")
    private Double meterReading;

    @ApiModelProperty(value="阀门状态 0：关阀 1：开阀 2：异常")
    private Integer valveStatus;

    @ApiModelProperty(value="设备状态  1:正常 2:故障 3:无 4: 预警 5:未启用")
    private Integer deviceStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="最后上报时间")
    private Date lastReceiveTime;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="创建时间")
    private Date dateCreate;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="更新时间")
    private Date dateUpdate;
}