package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("用户")
public class User implements Serializable {

    private static final long serialVersionUID = 7824856805049679926L;

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("用户名称")
    private String username;

    @JsonIgnore
    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("手机号")
    private String mobilePhone;

    @ApiModelProperty("真实姓名")
    private String name;

    @ApiModelProperty("状态 0:删除 1:正常 2:禁用")
    private Integer status;

    @ApiModelProperty("单位")
    private String workUnit;

    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("微信")
    private String wechat;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("是否超级管理员")
    private Integer isSuperAdmin;

    @ApiModelProperty("微信openid")
    private String openid;

    private Integer enable;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy;

    public User() {
    }

    public User(Integer id) {
        this.id = id;
    }
}
