package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value="com-bz-smart_city-entity-WarningLog")
@Data
public class WarningLog {
    @ApiModelProperty(value="")
    private Integer id;

    @ApiModelProperty(value="客户id")
    private Integer clientUserId;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="预警类型 1：较上日用水量激增30% 2：连续无用水量超过7天")
    private Integer warningType;

    @ApiModelProperty(value="反馈状态 0：待反馈 1：已确认无异常 2：已反馈信息")
    private Integer feedbackStatus;

    @ApiModelProperty(value="反馈内容")
    private String feedbackContent;

    @JsonIgnore
    @ApiModelProperty(value="")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="")
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="")
    private LocalDateTime dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="")
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="")
    private LocalDateTime dateUpdate;
}